'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-c698df6d.js');
const appGlobals = require('./app-globals-3a1e7e63.js');

/*
 Stencil Client Patch Browser v4.18.3 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('xmlviewercomponent.cjs.js', document.baseURI).href));
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return index.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["xml-viewer-component.cjs",[[1,"xml-viewer-component",{"xml":[1],"useUnescapedNodeValue":[4,"use-unescaped-node-value"]},null,{"xml":["xmlPropChanged"],"useUnescapedNodeValue":["useUnescapedNodeValuePropChanged"]}]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=xmlviewercomponent.cjs.js.map