import { p as promiseResolve, b as bootstrapLazy } from './index-74798ff8.js';
export { s as setNonce } from './index-74798ff8.js';
import { g as globalScripts } from './app-globals-0f993ce5.js';

/*
 Stencil Client Patch Browser v4.18.3 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = import.meta.url;
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["xml-viewer-component",[[1,"xml-viewer-component",{"xml":[1],"useUnescapedNodeValue":[4,"use-unescaped-node-value"]},null,{"xml":["xmlPropChanged"],"useUnescapedNodeValue":["useUnescapedNodeValuePropChanged"]}]]]], options);
});

//# sourceMappingURL=xmlviewercomponent.js.map